import { PropType } from "vue";
declare type Direction = 'left' | 'right' | 'top';
declare const _sfc_main: import("vue").DefineComponent<{
    caption: {
        type: StringConstructor;
        default: string;
    };
    href: {
        type: StringConstructor;
        default: undefined;
    };
    routerTo: {
        type: StringConstructor;
        default: undefined;
    };
    buttonType: {
        type: PropType<"button" | "submit" | "reset">;
        default: string;
    };
    icon: {
        type: StringConstructor;
        default: undefined;
    };
    iconDirection: {
        type: PropType<Direction>;
        default: string;
        validator: (value: string) => boolean;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
}, {
    iconClass: import("vue").ComputedRef<string>;
    extraClass: import("vue").ComputedRef<string>;
    checkComponentLinkOrButton: import("vue").ComputedRef<import("vue").DefineComponent<{
        href: {
            type: StringConstructor;
        };
        target: {
            type: StringConstructor;
            default: undefined;
        };
    }, {
        component: import("vue").ComputedRef<import("vue-router")._RouterLinkI | "a">;
        computedHref: import("vue").ComputedRef<string | undefined>;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        href: {
            type: StringConstructor;
        };
        target: {
            type: StringConstructor;
            default: undefined;
        };
    }>>, {
        target: string;
    }> | "button">;
    isComponentLink: import("vue").ComputedRef<boolean>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    caption: {
        type: StringConstructor;
        default: string;
    };
    href: {
        type: StringConstructor;
        default: undefined;
    };
    routerTo: {
        type: StringConstructor;
        default: undefined;
    };
    buttonType: {
        type: PropType<"button" | "submit" | "reset">;
        default: string;
    };
    icon: {
        type: StringConstructor;
        default: undefined;
    };
    iconDirection: {
        type: PropType<Direction>;
        default: string;
        validator: (value: string) => boolean;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
}>>, {
    href: string;
    caption: string;
    routerTo: string;
    buttonType: "button" | "submit" | "reset";
    icon: string;
    iconDirection: Direction;
    disabled: boolean;
}>;
export default _sfc_main;
