declare const _sfc_main: import("vue").DefineComponent<{
    fileUrl: {
        type: StringConstructor;
        default: undefined;
    };
    alt: {
        type: StringConstructor;
        default: undefined;
    };
    width: {
        type: StringConstructor;
        default: undefined;
    };
    height: {
        type: StringConstructor;
        default: undefined;
    };
    requestWidth: {
        type: NumberConstructor;
        default: undefined;
    };
    requestHeight: {
        type: NumberConstructor;
        default: undefined;
    };
    loadingWidth: {
        type: StringConstructor;
        default: undefined;
    };
    loadingHeight: {
        type: StringConstructor;
        default: undefined;
    };
    quality: {
        type: NumberConstructor;
        default: number;
    };
    lazy: {
        type: BooleanConstructor;
        default: boolean;
    };
    preventCopy: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    useSrcset: {
        type: BooleanConstructor;
        default: boolean;
    };
    srcsetMaxResolution: {
        type: NumberConstructor;
        default: number;
        validator: (value: number) => boolean;
    };
    hideImageOnError: {
        type: BooleanConstructor;
        default: boolean;
    };
    imageRatio: {
        type: NumberConstructor;
        default: number;
    };
}, {
    imageSrc: import("vue").ComputedRef<string | undefined>;
    imageSrcSet: import("vue").ComputedRef<string | undefined>;
    shouldLoad: import("vue").Ref<boolean>;
    startLoadImage: () => void;
    imageLoaded: import("vue").Ref<boolean>;
    setImageLoaded: () => void;
    imageWidth: import("vue").ComputedRef<string | undefined>;
    imageHeight: import("vue").ComputedRef<string | undefined>;
    imageDisplay: import("vue").ComputedRef<string | undefined>;
    loadFailed: import("vue").Ref<boolean>;
    setLoadFailed: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    fileUrl: {
        type: StringConstructor;
        default: undefined;
    };
    alt: {
        type: StringConstructor;
        default: undefined;
    };
    width: {
        type: StringConstructor;
        default: undefined;
    };
    height: {
        type: StringConstructor;
        default: undefined;
    };
    requestWidth: {
        type: NumberConstructor;
        default: undefined;
    };
    requestHeight: {
        type: NumberConstructor;
        default: undefined;
    };
    loadingWidth: {
        type: StringConstructor;
        default: undefined;
    };
    loadingHeight: {
        type: StringConstructor;
        default: undefined;
    };
    quality: {
        type: NumberConstructor;
        default: number;
    };
    lazy: {
        type: BooleanConstructor;
        default: boolean;
    };
    preventCopy: {
        type: BooleanConstructor;
        default: () => boolean;
    };
    useSrcset: {
        type: BooleanConstructor;
        default: boolean;
    };
    srcsetMaxResolution: {
        type: NumberConstructor;
        default: number;
        validator: (value: number) => boolean;
    };
    hideImageOnError: {
        type: BooleanConstructor;
        default: boolean;
    };
    imageRatio: {
        type: NumberConstructor;
        default: number;
    };
}>>, {
    lazy: boolean;
    preventCopy: boolean;
    fileUrl: string;
    alt: string;
    width: string;
    height: string;
    requestWidth: number;
    requestHeight: number;
    loadingWidth: string;
    loadingHeight: string;
    quality: number;
    useSrcset: boolean;
    srcsetMaxResolution: number;
    hideImageOnError: boolean;
    imageRatio: number;
}>;
export default _sfc_main;
