import { PropType } from "vue";
import { BreakpointKey } from '../config/responsiveConfig';
import { AutoplayOptions, FreeModeOptions } from "swiper/types";
import { PaginationOptions } from "swiper/types/modules/pagination";
import { NavigationOptions } from "swiper/types/modules/navigation";
export declare type BreakpointsOptions = {
    [minWidth in string]?: BreakpointOption;
};
export declare type BreakpointOption = {
    slidesPerView?: number;
    spaceBetween?: number;
};
declare type PropBreakpoint = {
    [breakpointKey in BreakpointKey]?: BreakpointOption;
};
declare const _sfc_main: import("vue").DefineComponent<{
    index: NumberConstructor;
    slidesPerView: {
        type: PropType<number | "auto">;
        default: number;
    };
    spaceBetween: NumberConstructor;
    scrollbar: BooleanConstructor;
    pagination: PropType<boolean | PaginationOptions>;
    navigation: PropType<boolean | NavigationOptions>;
    loop: BooleanConstructor;
    autoHeight: BooleanConstructor;
    freeMode: PropType<boolean | FreeModeOptions>;
    breakpoints: PropType<PropBreakpoint>;
    direction: {
        type: PropType<"vertical" | "horizontal">;
        default: string;
    };
    fade: BooleanConstructor;
    autoplay: PropType<boolean | AutoplayOptions>;
    centeredSlides: BooleanConstructor;
    slidesPerGroup: NumberConstructor;
}, {
    modules: import("swiper/types").SwiperModule[];
    swiperRef: import("vue").Ref<any>;
    swiper: import("vue").ComputedRef<any>;
    onSlideChange: () => void;
    currentIndex: import("vue").Ref<any>;
    autoplaying: import("vue").Ref<any>;
    setAutoPlaying: (value: boolean) => void;
    breakpointOptions: BreakpointsOptions | undefined;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    index: NumberConstructor;
    slidesPerView: {
        type: PropType<number | "auto">;
        default: number;
    };
    spaceBetween: NumberConstructor;
    scrollbar: BooleanConstructor;
    pagination: PropType<boolean | PaginationOptions>;
    navigation: PropType<boolean | NavigationOptions>;
    loop: BooleanConstructor;
    autoHeight: BooleanConstructor;
    freeMode: PropType<boolean | FreeModeOptions>;
    breakpoints: PropType<PropBreakpoint>;
    direction: {
        type: PropType<"vertical" | "horizontal">;
        default: string;
    };
    fade: BooleanConstructor;
    autoplay: PropType<boolean | AutoplayOptions>;
    centeredSlides: BooleanConstructor;
    slidesPerGroup: NumberConstructor;
}>>, {
    loop: boolean;
    direction: "vertical" | "horizontal";
    autoHeight: boolean;
    fade: boolean;
    slidesPerView: number | "auto";
    centeredSlides: boolean;
    scrollbar: boolean;
}>;
export default _sfc_main;
