import { PropType } from "vue";
import { MessageFunction } from '../config/uiComponentConfig';
declare const _sfc_main: import("vue").DefineComponent<{
    id: {
        type: StringConstructor;
        default: () => string;
    };
    placeholderLabel: {
        type: StringConstructor;
        default: undefined;
    };
    placeholder: {
        type: StringConstructor;
        default: undefined;
    };
    useLabelAsPlaceholder: {
        type: BooleanConstructor;
        default: boolean;
    };
    name: {
        type: StringConstructor;
        default: () => string;
    };
    modelValue: {
        type: (StringConstructor | NumberConstructor)[];
        default: string;
    };
    maxlength: {
        type: NumberConstructor;
        default: undefined;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    required: {
        type: BooleanConstructor;
        default: boolean;
    };
    rows: {
        type: NumberConstructor;
        default: number;
    };
    cols: {
        type: NumberConstructor;
        default: number;
    };
    showCharCount: {
        type: BooleanConstructor;
        default: boolean;
    };
    minCharCount: {
        type: NumberConstructor;
        default: undefined;
    };
    maxCharCount: {
        type: NumberConstructor;
        default: undefined;
    };
    guideMessage: {
        type: StringConstructor;
        default: undefined;
    };
    validationMessageRequired: {
        type: StringConstructor;
        default: () => string;
    };
    validationMessageMinCharCount: {
        type: PropType<string | MessageFunction>;
        default: () => string | MessageFunction;
    };
    validationMessageMaxCharCount: {
        type: PropType<string | MessageFunction>;
        default: () => string | MessageFunction;
    };
    focusOnLoad: {
        type: (BooleanConstructor | NumberConstructor)[];
        default: boolean;
    };
    selectOnLoad: {
        type: (BooleanConstructor | NumberConstructor)[];
        default: boolean;
    };
    externalErrorMessageId: {
        type: StringConstructor;
        default: undefined;
    };
}, {
    normalizeValue: (event: Event) => void;
    emitValue: () => void;
    validationListeners: import("vue").ComputedRef<{
        blur: (e?: Event | undefined) => void;
        change: () => void;
        input: (event: Event) => void;
    }>;
    errorMessage: import("vue").Ref<string | undefined>;
    value: import("vue").Ref<string>;
    showErrorMessage: import("vue").ComputedRef<boolean>;
    computedPlaceholder: import("vue").ComputedRef<string>;
    counts: import("vue").ComputedRef<string>;
    countsStyle: import("vue").ComputedRef<string>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    'update:modelValue': (value: string) => true;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    id: {
        type: StringConstructor;
        default: () => string;
    };
    placeholderLabel: {
        type: StringConstructor;
        default: undefined;
    };
    placeholder: {
        type: StringConstructor;
        default: undefined;
    };
    useLabelAsPlaceholder: {
        type: BooleanConstructor;
        default: boolean;
    };
    name: {
        type: StringConstructor;
        default: () => string;
    };
    modelValue: {
        type: (StringConstructor | NumberConstructor)[];
        default: string;
    };
    maxlength: {
        type: NumberConstructor;
        default: undefined;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    required: {
        type: BooleanConstructor;
        default: boolean;
    };
    rows: {
        type: NumberConstructor;
        default: number;
    };
    cols: {
        type: NumberConstructor;
        default: number;
    };
    showCharCount: {
        type: BooleanConstructor;
        default: boolean;
    };
    minCharCount: {
        type: NumberConstructor;
        default: undefined;
    };
    maxCharCount: {
        type: NumberConstructor;
        default: undefined;
    };
    guideMessage: {
        type: StringConstructor;
        default: undefined;
    };
    validationMessageRequired: {
        type: StringConstructor;
        default: () => string;
    };
    validationMessageMinCharCount: {
        type: PropType<string | MessageFunction>;
        default: () => string | MessageFunction;
    };
    validationMessageMaxCharCount: {
        type: PropType<string | MessageFunction>;
        default: () => string | MessageFunction;
    };
    focusOnLoad: {
        type: (BooleanConstructor | NumberConstructor)[];
        default: boolean;
    };
    selectOnLoad: {
        type: (BooleanConstructor | NumberConstructor)[];
        default: boolean;
    };
    externalErrorMessageId: {
        type: StringConstructor;
        default: undefined;
    };
}>> & {
    "onUpdate:modelValue"?: ((value: string) => any) | undefined;
}, {
    name: string;
    required: boolean;
    disabled: boolean;
    id: string;
    modelValue: string | number;
    focusOnLoad: number | boolean;
    selectOnLoad: number | boolean;
    placeholderLabel: string;
    placeholder: string;
    useLabelAsPlaceholder: boolean;
    maxlength: number;
    guideMessage: string;
    validationMessageRequired: string;
    externalErrorMessageId: string;
    rows: number;
    cols: number;
    showCharCount: boolean;
    minCharCount: number;
    maxCharCount: number;
    validationMessageMinCharCount: string | MessageFunction;
    validationMessageMaxCharCount: string | MessageFunction;
}>;
export default _sfc_main;
