declare const _sfc_main: import("vue").DefineComponent<{
    id: {
        type: StringConstructor;
        default: () => string;
    };
    placeholderLabel: {
        type: StringConstructor;
        default: undefined;
    };
    placeholder: {
        type: StringConstructor;
        default: undefined;
    };
    useLabelAsPlaceholder: {
        type: BooleanConstructor;
        default: boolean;
    };
    name: {
        type: StringConstructor;
        default: () => string;
    };
    modelValue: {
        type: (StringConstructor | NumberConstructor)[];
        default: undefined;
    };
    maxlength: {
        type: NumberConstructor;
        default: undefined;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    hideCurrencyUnit: {
        type: BooleanConstructor;
        default: boolean;
    };
    required: {
        type: BooleanConstructor;
        default: boolean;
    };
    guideMessage: {
        type: StringConstructor;
        default: undefined;
    };
    validationMessageRequired: {
        type: StringConstructor;
        default: () => string;
    };
    focusOnLoad: {
        type: (BooleanConstructor | NumberConstructor)[];
        default: boolean;
    };
    selectOnLoad: {
        type: (BooleanConstructor | NumberConstructor)[];
        default: boolean;
    };
    externalErrorMessageId: {
        type: StringConstructor;
        default: undefined;
    };
}, {
    normalizeValue: (event: Event) => void;
    emitValue: () => void;
    validationListeners: import("vue").ComputedRef<{
        blur: (event: Event) => void;
        change: () => void;
        input: (event: Event) => void;
        focus: (event: Event) => void;
    }>;
    errorMessage: import("vue").Ref<string | undefined>;
    value: import("vue").Ref<string>;
    showErrorMessage: import("vue").ComputedRef<boolean>;
    computedPlaceholder: import("vue").ComputedRef<string>;
    currencySymbolAfter: string;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    'update:modelValue': (value: string | number) => true;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    id: {
        type: StringConstructor;
        default: () => string;
    };
    placeholderLabel: {
        type: StringConstructor;
        default: undefined;
    };
    placeholder: {
        type: StringConstructor;
        default: undefined;
    };
    useLabelAsPlaceholder: {
        type: BooleanConstructor;
        default: boolean;
    };
    name: {
        type: StringConstructor;
        default: () => string;
    };
    modelValue: {
        type: (StringConstructor | NumberConstructor)[];
        default: undefined;
    };
    maxlength: {
        type: NumberConstructor;
        default: undefined;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    hideCurrencyUnit: {
        type: BooleanConstructor;
        default: boolean;
    };
    required: {
        type: BooleanConstructor;
        default: boolean;
    };
    guideMessage: {
        type: StringConstructor;
        default: undefined;
    };
    validationMessageRequired: {
        type: StringConstructor;
        default: () => string;
    };
    focusOnLoad: {
        type: (BooleanConstructor | NumberConstructor)[];
        default: boolean;
    };
    selectOnLoad: {
        type: (BooleanConstructor | NumberConstructor)[];
        default: boolean;
    };
    externalErrorMessageId: {
        type: StringConstructor;
        default: undefined;
    };
}>> & {
    "onUpdate:modelValue"?: ((value: string | number) => any) | undefined;
}, {
    name: string;
    required: boolean;
    disabled: boolean;
    id: string;
    modelValue: string | number;
    focusOnLoad: number | boolean;
    selectOnLoad: number | boolean;
    placeholderLabel: string;
    placeholder: string;
    useLabelAsPlaceholder: boolean;
    maxlength: number;
    hideCurrencyUnit: boolean;
    guideMessage: string;
    validationMessageRequired: string;
    externalErrorMessageId: string;
}>;
export default _sfc_main;
