import { PropType } from "vue";
declare const _sfc_main: import("vue").DefineComponent<{
    modelValue: {
        type: NumberConstructor;
        default: undefined;
    };
    id: {
        type: StringConstructor;
        default: () => string;
    };
    name: {
        type: StringConstructor;
        default: () => string;
    };
    title: {
        type: StringConstructor;
        default: undefined;
    };
    minQty: {
        type: NumberConstructor;
        default: number;
    };
    maxQty: {
        type: NumberConstructor;
        default: number;
    };
    allowZero: {
        type: BooleanConstructor;
        default: boolean;
    };
    extraValues: {
        type: PropType<number[]>;
        default: () => never[];
    };
    forceInputMode: {
        type: BooleanConstructor;
        default: boolean;
    };
    selectQtyCount: {
        type: NumberConstructor;
        default: number;
        validator: (value: number) => boolean;
    };
    useChangeButton: {
        type: BooleanConstructor;
        default: boolean;
    };
    changeButtonCaption: {
        type: StringConstructor;
        default: () => string;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    captionProvider: {
        type: PropType<(value: number) => string>;
        default: undefined;
    };
}, {
    needInputMode: import("vue").ComputedRef<boolean>;
    inputMode: import("vue").Ref<boolean>;
    inputThreshold: import("vue").ComputedRef<number>;
    input: import("vue").Ref<HTMLInputElement | null>;
    options: import("vue").ComputedRef<number[]>;
    qtyValue: import("vue").Ref<number>;
    extraValuesAboveThreshold: import("vue").ComputedRef<number[]>;
    emitChangeEvent: () => void;
    qtyChangedByUser: (event: Event) => void;
    getCaption: (value: number) => string;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    input: null;
    'update:modelValue': null;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    modelValue: {
        type: NumberConstructor;
        default: undefined;
    };
    id: {
        type: StringConstructor;
        default: () => string;
    };
    name: {
        type: StringConstructor;
        default: () => string;
    };
    title: {
        type: StringConstructor;
        default: undefined;
    };
    minQty: {
        type: NumberConstructor;
        default: number;
    };
    maxQty: {
        type: NumberConstructor;
        default: number;
    };
    allowZero: {
        type: BooleanConstructor;
        default: boolean;
    };
    extraValues: {
        type: PropType<number[]>;
        default: () => never[];
    };
    forceInputMode: {
        type: BooleanConstructor;
        default: boolean;
    };
    selectQtyCount: {
        type: NumberConstructor;
        default: number;
        validator: (value: number) => boolean;
    };
    useChangeButton: {
        type: BooleanConstructor;
        default: boolean;
    };
    changeButtonCaption: {
        type: StringConstructor;
        default: () => string;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    captionProvider: {
        type: PropType<(value: number) => string>;
        default: undefined;
    };
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    onInput?: ((...args: any[]) => any) | undefined;
}, {
    name: string;
    disabled: boolean;
    id: string;
    modelValue: number;
    title: string;
    minQty: number;
    maxQty: number;
    allowZero: boolean;
    extraValues: number[];
    forceInputMode: boolean;
    selectQtyCount: number;
    useChangeButton: boolean;
    changeButtonCaption: string;
    captionProvider: (value: number) => string;
}>;
export default _sfc_main;
